---
stage: Manage
group: Import and Integrate
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# Extend with GitLab **(FREE ALL)**

Automate with GitLab and integrate with external applications.

| | | |
|--|--|--|
| [**Integrate with GitLab**](../integration/index.md) **{chevron-right}**<br><br> Projects, issues, authentication, security providers. | [**Webhooks**](../user/project/integrations/webhooks.md) **{chevron-right}**<br><br> Custom HTTP callbacks, used to send events. | [**REST API**](rest/index.md) **{chevron-right}**<br><br> Programmatic interaction with GitLab. |
| [**GraphQL API**](graphql/index.md) **{chevron-right}**<br><br> Programmatic interaction with GitLab. | [**OAuth 2.0 identity provider API**](oauth2.md) **{chevron-right}**<br><br> Third-party authorization to GitLab. | [**Editor and IDE extensions**](../editor_extensions/index.md) **{chevron-right}**<br><br> Visual Studio Code, JetBrains, Neovim, GitLab CLI. |
